File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# _DMXLocalInitInfo Struct Reference

`#include <dmxinputinit.h>`

## Data Fields
int | keyboard
int | keyClass
KeySymsRec | keySyms
int | freemap
CARD8 | modMap [MAP_LENGTH]
XkbDescPtr | xkb
XkbComponentNamesRec | names
int | freenames
int | force
int | buttonClass
int | numButtons
unsigned char | map [DMX_MAX_BUTTONS]
int | valuatorClass
int | numRelAxes
int | numAbsAxes
int | minval [DMX_MAX_AXES]
int | maxval [DMX_MAX_AXES]
int | res [DMX_MAX_AXES]
int | minres [DMX_MAX_AXES]
int | maxres [DMX_MAX_AXES]
int | focusClass
int | proximityClass
int | kbdFeedbackClass
int | ptrFeedbackClass
int | ledFeedbackClass
int | belFeedbackClass
int | intFeedbackClass
int | strFeedbackClass
int | maxSymbols
int | maxSymbolsSupported
KeySym * | symbols

## Detailed Description

Stores information from low-level device that is used to initialize the device at the dix level.

## Field Documentation

int _DMXLocalInitInfo::belFeedbackClass

| Non-zero if device has a bell

int _DMXLocalInitInfo::buttonClass

| Non-zero if buttons are present

int _DMXLocalInitInfo::focusClass

| Non-zero if device can cause focus

int _DMXLocalInitInfo::force

| Do not allow command line override

int _DMXLocalInitInfo::freemap

| If non-zero, free keySyms.map

int _DMXLocalInitInfo::freenames

| Non-zero if names should be free'd

int _DMXLocalInitInfo::intFeedbackClass

| Non-zero if device has integer feedback

int _DMXLocalInitInfo::kbdFeedbackClass

| Non-zero if device has keyboard feedback

int _DMXLocalInitInfo::keyboard

| Non-zero if the device is a keyboard

int _DMXLocalInitInfo::keyClass

| Non-zero if keys are present

KeySymsRec _DMXLocalInitInfo::keySyms

| Key symbols

int _DMXLocalInitInfo::ledFeedbackClass

| Non-zero if device has LED indicators

unsigned char _DMXLocalInitInfo::map[DMX_MAX_BUTTONS]

| Button map

int _DMXLocalInitInfo::maxres[DMX_MAX_AXES]

| Maximum resolutions

int _DMXLocalInitInfo::maxSymbols

| Maximum symbols

int _DMXLocalInitInfo::maxSymbolsSupported

| Maximum symbols supported

int _DMXLocalInitInfo::maxval[DMX_MAX_AXES]

| Maximum values

int _DMXLocalInitInfo::minres[DMX_MAX_AXES]

| Minimum resolutions

int _DMXLocalInitInfo::minval[DMX_MAX_AXES]

| Minimum values

CARD8 _DMXLocalInitInfo::modMap[MAP_LENGTH]

| Modifier map

XkbComponentNamesRec _DMXLocalInitInfo::names

| XKB component names

int _DMXLocalInitInfo::numAbsAxes

| Number of absolute axes

int _DMXLocalInitInfo::numButtons

| Number of buttons

int _DMXLocalInitInfo::numRelAxes

| Number of relative axes

int _DMXLocalInitInfo::proximityClass

| Non-zero if device causes proximity events

int _DMXLocalInitInfo::ptrFeedbackClass

| Non-zero if device has pointer feedback

int _DMXLocalInitInfo::res[DMX_MAX_AXES]

| Resolution

int _DMXLocalInitInfo::strFeedbackClass

| Non-zero if device has string feedback

KeySym* _DMXLocalInitInfo::symbols

| Key symbols

int _DMXLocalInitInfo::valuatorClass

| Non-zero if valuators are present

XkbDescPtr _DMXLocalInitInfo::xkb

| XKB description

The documentation for this struct was generated from the following file:

- dmxinputinit.h